package com.dummy.server.test.connector;

import java.io.Serializable;

import javax.resource.ResourceException;
import javax.resource.spi.Activation;
import javax.resource.spi.ActivationSpec;
import javax.resource.spi.InvalidPropertyException;
import javax.resource.spi.ResourceAdapter;

@Activation(messageListeners = MessageHandlerEndpoint.class)
public class ActivationSpecImpl implements ActivationSpec, Serializable {
    	
    	private static final long serialVersionUID = 4066786308956239733L;

	private ResourceAdapter ra;

	/**
	 * 
	 */
	public ActivationSpecImpl() {
	    System.out.println("Creating ActivationSpec");
	}

	/* (non-Javadoc)
	 * @see javax.resource.spi.ResourceAdapterAssociation#getResourceAdapter()
	 */
	public ResourceAdapter getResourceAdapter() {
		return ra;
	}

	/* (non-Javadoc)
	 * @see javax.resource.spi.ResourceAdapterAssociation#setResourceAdapter(javax.resource.spi.ResourceAdapter)
	 */
	public void setResourceAdapter(ResourceAdapter resourceAdapter)
			throws ResourceException {
		ra = resourceAdapter;
	}

	/* (non-Javadoc)
	 * @see javax.resource.spi.ActivationSpec#validate()
	 */
	public void validate() throws InvalidPropertyException {
	    
	}

	@Override
	public String toString() {
		return "[" + this.getClass().getSimpleName() + "]";
	}
}
