package com.dummy.server.test.connector;


import javax.resource.NotSupportedException;
import javax.resource.ResourceException;
import javax.resource.spi.ActivationSpec;
import javax.resource.spi.BootstrapContext;
import javax.resource.spi.Connector;
import javax.resource.spi.ResourceAdapter;
import javax.resource.spi.ResourceAdapterInternalException;
import javax.resource.spi.endpoint.MessageEndpointFactory;
import javax.resource.spi.work.WorkManager;
import javax.transaction.xa.XAResource;


@Connector(displayName = "JServer Resource Adapter", vendorName = "EGT", eisType = "TCP NIO server", version = "1.0")
public class ResourceAdapterImpl implements ResourceAdapter {



	
	private WorkManager workManager;

	/**
     * 
     */
	public ResourceAdapterImpl() {
	}

	public void start(BootstrapContext ctx)
			throws ResourceAdapterInternalException {
		System.out.println("start ResourceAdapter");
		workManager = ctx.getWorkManager();
	}

	public void stop() {
		System.out.println("stop ResourceAdapter");
	}

	public void endpointActivation(MessageEndpointFactory messageEndpointFactory, ActivationSpec activationSpec) throws ResourceException {
		System.out.println("endpointActivation");
		if (!(activationSpec instanceof ActivationSpecImpl)) {
			throw new NotSupportedException("Invalid spec, Should be a "
					+ ActivationSpecImpl.class.getName() + " was: "
					+ activationSpec);
		}
		
		//do something
	}

	public void endpointDeactivation(MessageEndpointFactory endpointFactory, ActivationSpec spec) {

		System.out.println("endpointDeactivation");
	}

	public XAResource[] getXAResources(ActivationSpec[] arg0)
			throws ResourceException {
		return null;
	}
}
