package com.dummy.server.test.mdb;

import javax.ejb.MessageDriven;

import com.dummy.server.test.connector.MessageHandlerEndpoint;




@MessageDriven(messageListenerInterface = MessageHandlerEndpoint.class)
public class MessageHandlerBean implements MessageHandlerEndpoint {
	

    public MessageHandlerBean() {
    }

    @Override
    public void sessionClosed(Object session) throws Exception {

    	System.out.println("Closed session:" + session);
    }

    @Override
    public void messageReceived(Object session, Object _message) throws Exception {
    	
	final String message = _message.toString().trim();	

		System.out.println("Message received: "+message);
    }

}
